import React from 'react';
import {TouchableOpacity, Text} from 'react-native';

export default function Button({
  title,
  onPress,
  color,
  backgroundColor,
  padding,
  borderRadius,
  marginBottom,
  fontSize,
  textAlign,
  width,
  position,
  bottom,
  top,
  left,
  right
}) {
  return (
    <TouchableOpacity
      style={[
        {backgroundColor: backgroundColor},
        {padding: padding},
        {borderRadius: borderRadius},
        { marginBottom: marginBottom },
        { width: width },
      ]}
      onPress={onPress}>
      <Text
        style={[
          {color: color},
          {fontSize, fontSize},
          {textAlign: textAlign},
        ]}>
        {title}
      </Text>
    </TouchableOpacity>
  );
}
