import React from 'react';
import {StyleSheet, TextInput, View} from 'react-native';


export default function Input({
  onChangeText,
  placeholder,
  secureTextEntry,
  visible,
  title
}) {
  return (
    <View>
      <TextInput
        title ={title}
        style={styles.input}
        onChangeText={onChangeText}
        placeholder={placeholder}
        placeholderTextColor={'#eeeeee'}
        secureTextEntry={secureTextEntry}
      />
    </View>
  );
}

const styles = StyleSheet.create({
  input: {
    borderColor: '#dddddd',
    borderRadius: 50,
    borderWidth: 1,
    marginBottom: 10,
    padding: 10,
    backgroundColor: '#ffffff',
  },
});
