import React from 'react';
import {View, StyleSheet} from 'react-native';
import MapView, {PROVIDER_GOOGLE} from 'react-native-maps';

export default function Map({lat, long, showsUserLocation,latDelta,longDelta,children}) {
  return (
    <View style={styles.mapStyle}>
      <MapView
        style={styles.mapStyle}
        provider={PROVIDER_GOOGLE}
        initialRegion={{
          latitude: lat,
          longitude: long,
          latitudeDelta: latDelta,
          longitudeDelta: longDelta,
        }}
        showsUserLocation={showsUserLocation}>
        {children}
      </MapView>
    </View>
  );
}

const styles = StyleSheet.create({
  mapStyle: {
    flex: 1,
  },
});
