import React from 'react';
import {createNativeStackNavigator} from '@react-navigation/native-stack';

import Agreement from '../screens/Agreement';
import FindID from '../screens/FindID';
import FindPassword from '../screens/FindPassword';
import JoinMembers from '../screens/JoinMembers';
import Login from '../screens/Login';


const Stack = createNativeStackNavigator();

export default function AuthStack() {
  return (
    <Stack.Navigator
      initialRouteName='Login'
      screenOptions={{
        headerBackTitleVisible: false,
        headerShown: false,
      }}>
      <Stack.Screen name="Login" component={Login} />
      <Stack.Screen name="JoinMembers" component={JoinMembers} />
      <Stack.Screen name="Agreement" component={Agreement} />
      <Stack.Screen name="FindID" component={FindID} />
      <Stack.Screen name="FindPassword" component={FindPassword} />
    </Stack.Navigator>
  );
}