import React from 'react';
import {createDrawerNavigator} from '@react-navigation/drawer';
import Icon from 'react-native-vector-icons/FontAwesome5';
// import Setting from '../screens/Setting';
// import UserInformation from '../screens/UserInformation';
import CustomDrawer from '../component/CustomDrawer';
import MembershipWithdrawal from '../screens/MembershipWithdrawal';
import AppStack from './AppStack';
import AuthStack from './AuthStack';

const Drawer = createDrawerNavigator();

export default function DrawerNavigate() {
  return (
    <Drawer.Navigator
      initialRouteName="Main screen"
      drawerContent={props => <CustomDrawer {...props} />}
      screenOptions={{
        headerShown: false,
        drawerActiveBackgroundColor: '#000000',
        drawerActiveTintColor: '#dddddd',
        drawerLabelStyle: {
          marginLeft: -25,
        },
      }}>
      <Drawer.Screen
        name="Main screen"
        component={AppStack}
        options={{
          drawerLabel: '홈',
          drawerIcon: color => <Icon name="home" size={15} color={color} />,
        }}
      />
      {/* <Drawer.Screen
        name="Setting screen"
        component={Setting}
        options={{
          drawerLabel: '환경설정',
          drawerIcon: color => <Icon name="cog" size={15} color={color} />,
        }}
      />
      <Drawer.Screen
        name="UserInformation screen"
        component={UserInformation}
        options={{
          drawerLabel: '사용자정보',
          drawerIcon: color => <Icon name="user" size={15} color={color} />,
        }}
      /> */}
      <Drawer.Screen
        name="MembershipWithdrawal screen"
        component={MembershipWithdrawal}
        options={{
          drawerLabel: '회원탈퇴',
          drawerIcon: color => <Icon name="road" size={15} color={color} />,
        }}
      />
      <Drawer.Screen
        name="Login screen"
        component={AuthStack}
        options={{
          drawerItemStyle: {
            display: "none",
          },
        }}
      />
    </Drawer.Navigator>
  );
}